# Add item to product-set

This method adding product defined by product variant code to the bundle (product set). Product defined in url by guid, must be set as type : product-set.
When successfully saved, complete list of products in the set is returned in response.
It is not allowed to add a product of the product-set type to an existing product set.

Endpoint: POST /api/products/{guid}/set
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Product guid - Must be product-set type.
    Example: "93bc0dbe-7481-11e8-8216-002590dad85e"

## Request fields (application/json):

  - `data` (object, required)

  - `data.setItem` (object, required)

  - `data.setItem.code` (string, required)
    product variant identifier

  - `data.setItem.amount` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.items` (array,null, required)
    information about items, products, in set

  - `data.items.guid` (string, required)
    product identifier

  - `data.items.code` (string, required)
    product code

  - `data.items.amount` (string, required)
    amount of items, products

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


